Jump to content

Mise à jour 1.4.9.0 vers 1.5.1.0


Recommended Posts

Bonjour à tous,

 

j'essaye désespérément de faire la MAJ 1.5.1.0 depuis une version 1.4.9.0 locale, avec Wampserver. J'ai installé cette version 1.4.9.0 toute neuve et sans thème avec toute ma BDD, environ 15000 produits, dans le but de migrer vers 1.5.

 

lorsque je veux installer le module "Mise à jour en 1 clic v0.7"

j'ai ce message d'erreur: "Le(s) module(s) suivant(s) n'ont pas été correctement installés : autoupgrade"

 

Est-il possible de résoudre ce problème ou au pire de faire cette MAJ sans passer par l'autoupgrade ?

 

Merci

post-372287-0-62121500-1350403086_thumb.png

Share this post


Link to post
Share on other sites

nous sommes tous pris avec le meme probleme, l'upgrade ne veux rien savoir.

 

et je commence a croire que les prorgammeur de prestashop se servent de nous tous pour trouver la solution.

 

j ai au dessus de 100H de passé depuis la sorti de 1.5 pour mettre a jour ma boutique 1.4.9 et je n'ai jamais reussis.

 

Par contre lors d une isntallation vierge la version 1.5.1 nous promets beaucoup.

 

 

Js

Share this post


Link to post
Share on other sites

Effectivement j'ai installé la 1.5 en local afin de vérifier que ça vaut le coup et je pense que oui.

Mais il faut pouvoir le faire en MAJ sinon ça n'a aucun intérêt.

 

Au début de mes essais, je pensais que ça venait de ma version de production trop bidouillée, c'est pour ça que je suis reparti sur du neuf mais c'est pas mieux!

 

Donc personne ne peut faire ses MAJ de 1.4 vers 1.5, c'est bien dommage.

  • Like 1

Share this post


Link to post
Share on other sites

Bonjour,

 

Vous n'avez pas le bon module de maj auto

 

il faut la version 0.8.x

 

que voici et cela devrait résoudre votre problème qui par ailleurs est déjà expliqué sur le forum

 

 

Pour les méfiants voici le lien

 

http://addons.presta...utoupgrade.html

 

 

ou le fichier

autoupgrade.zip

Edited by alainval (see edit history)

Share this post


Link to post
Share on other sites

j ai aussi la version 0.8.9 et j ai tout de meme des message d erreurs lors de la mise a jour de la BD

 

du genre de:

 

[ERROR] SQL 1.5.0.0 1054 in INSERT INTO `ps_group_shop` (`id_group_shop`, `name`, `active`, `deleted`, `share_stock`, `share_customer`, `share_order`) VALUES (1, 'Default', 1, 0, 0, 0, 0): Unknown column 'id_group_shop' in 'field list'

Share this post


Link to post
Share on other sites

et moi je suis bloqué ici:

 

Tous les fichiers ont été mis à jour. La mise à jour de la base de données va commencer. Cette opération peut prendre quelques minutes, selon la taille de votre base et la puissance de votre serveur.

post-372287-0-16224900-1350406224_thumb.png

Share this post


Link to post
Share on other sites

[server Error] Timeout:La requête a dépassé le temps d"exécution maximum autorisé. Vous devez changer votre configuration serveur pour augmenter la durée de max_execution_time.

 

j'ai pourtant mis 600 secondes dans le php.ini,

 

je refais un test avec 6000 secondes !

Share this post


Link to post
Share on other sites

J'ai une boutique ''en prod / test'' disons qu'apres 50 essais de mise a jour sur ma boutique foncitonnelle, je me suis tanné,

donc www.entrepotdelacoiffure.com/store est une boutique exclusivement pour essayer de faire la mise a jour,

J'ai toute essayé les méthodes ecrite, les wi dire, les bin on va essayer ca, et rien ne veut fonctionner, donc apres chaque essait je flush mon folder et ma BD et remets ma version ''pret a mettre a jour'' si quelqu un se dit capable de faire la mise a jour

ne vous genez pas et contactez moi! :)

Share this post


Link to post
Share on other sites

ok, bon moi j'en suis pas à 50 fois mais je sens que ça va venir...

 

Mon dernier essai vient encore d'avorter par un [server Error] Timeout

J'arrête pour aujourd'hui et je vais boire l'apéro, c'est pas au point ce truc de mise à jour en 1 click !

Share this post


Link to post
Share on other sites

Bonjour

 

 

Ne perdez pas courage j'ai fait plusieurs mise à jours qui ont échoués ou pas correctement faite avec des erreurs.

Sauf ce lundi j'ai fait une mise à jour sans aucune erreur et tout fonctionne. Dans le back office comme dans le front office, j'ai tester un achat et tout s'est bien déroulé.

 

J'en parle dans le forum sur la 1.5

Share this post


Link to post
Share on other sites

Bonjour

 

 

Ne perdez pas courage j'ai fait plusieurs mise à jours qui ont échoués ou pas correctement faite avec des erreurs.

Sauf ce lundi j'ai fait une mise à jour sans aucune erreur et tout fonctionne. Dans le back office comme dans le front office, j'ai tester un achat et tout s'est bien déroulé.

 

J'en parle dans le forum sur la 1.5

 

donc il y a de l'espoir

Share this post


Link to post
Share on other sites

J'ai lu dans un autre post sur ce forum que même en mise à jour manuelle en suivant le guide Prestashop, ça n’aboutis pas à un résultat satisfaisant.

 

Je fini par croire que c'est une perte de temps de vouloir passer de 1.4 vers 1.5

Share this post


Link to post
Share on other sites

j'ai fait un essai avec la dernière version du module que j'ai trouvé sur l'addons, donc la 0.9.

Je peux l'installer, ce qui est déjà une évolution ! Mais ça bloque toujours, la mise à jour ne se fait pas, elle débouche sur ce message d'erreur :

 

[server Error] Timeout:La requête a dépassé le temps d"exécution maximum autorisé. Vous devez changer votre configuration serveur pour augmenter la durée de max_execution_time.

 

Je précise que je fais ce test en local avec wampserver, que j'ai réglé le max_execution_time sur 6000 secondes et le message d'erreur apparait bien avant ce délai.

Share this post


Link to post
Share on other sites

  • 5 months later...

Coucou, je reveil un peu ce post. Quelqu'un a trouvé une solution à ce problème pour le temps d'execution ?

 

Moi j'avais trouvé qu'il fallait mettre un

set_time_limit(0);

dans le php.ini mais ça n'a rien changé... ;(

Share this post


Link to post
Share on other sites

j'ai fait un essai avec la dernière version du module que j'ai trouvé sur l'addons, donc la 0.9.

 

La dernière version est la 1.0.13, mais je pense que le problème se situe surtout dans l'installeur d'une 1.5.1. 16 minutes c'est assez long effectivement, a moins que la base soit très grosse. Pourquoi une version si basse ? A priori l'installeur d'une 1.5.4 aura des corrections supplémentaires. Il butte probablement sur la mise à jour d'une table ou sur la mise a jour des images a priori.

 

le max_execution_time à 0 = infini je crois mais cela ne semble pas le souci.

 

Effectivement un upgrade manuel peut vous donner plus de réponses, mais c'est plus délicat.

Share this post


Link to post
Share on other sites

  • 5 months later...

je fais de nouveau des essais pour cette MAJ et toujours la même erreur !

[server Error] Timeout:La requête a dépassé le temps d"exécution maximum autorisé. Vous devez changer votre configuration serveur pour augmenter la durée de max_execution_time.

 

Je réussis à faire une maj mineure vers 1.4.11

MAJ 1.4.9.0 -> 1.4.11 : 1 minute

MAJ 1.4.11 -> 1.5.5.0 : plantage au bout de 20 mn à chaque fois

je suis sur un dédié chez OVH et le max_execution_time = 6000

Mon catalogue contient : 5 377 produits | 17 126 déclinaisons | 24 569 attributs | 11 009 images

 

Rien à faire !

Edited by kouik-e (see edit history)

Share this post


Link to post
Share on other sites

je fais de nouveau des essais pour cette MAJ et toujours la même erreur !

 

Je réussis à faire une maj mineure vers 1.4.11

MAJ 1.4.9.0 -> 1.4.11 : 1 minute

MAJ 1.4.11 -> 1.5.5.0 : plantage au bout de 20 mn à chaque fois

je suis sur un dédié chez OVH et le max_execution_time = 6000

Mon catalogue contient : 5 377 produits | 17 126 déclinaisons | 24 569 attributs | 11 009 images

 

Rien à faire !

 

Avez vous téléchargé et utilisé le module dont je parle plus haut téléchargeable à partir du lien ci-dessous :

http://catalogo-onlinersi.net/fr/back-office/217-supprimer-les-connexions.html

 

ensuite, modifier le php.ini

max_execution_time

Share this post


Link to post
Share on other sites

A priori la mise à jour s'est faite en prenant le dossier d'install d'une version de dev. Voir ici http://www.prestashop.com/forums/topic/247893-timeoutla-requete-a-depasse-le-temps-dexecution-maximum-autorise/page-2?do=findComment&comment=1379348

 

je pense que ce commit https://github.com/PrestaShop/PrestaShop/commit/b55a84e961213fcc4a804d0dfa1f8ad2bcb2533f a du régler le souci.

 

Cordialement

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More